Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.struts2.json.rpc
Enum RPCErrorCode

    java.lang.Object
      java.lang.Enum<RPCErrorCode>
          org.apache.struts2.json.rpc.RPCErrorCode

All Implemented Interfaces:
  Serializable, Comparable<RPCErrorCode>

    public enum RPCErrorCode

extends Enum<RPCErrorCode>

Enum Constant Summary
`EXCEPTION`
`INVALID_PROCEDURE_CALL`
`METHOD_NOT_FOUND`
`MISSING_ID`
`MISSING_METHOD`
`PARAMETERS_MISMATCH`
`SMD_DISABLED`

Method Summary
`int` | `code()`
`String` | `message()`
`static RPCErrorCode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static RPCErrorCode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### MISSING_METHOD

    public static final RPCErrorCode MISSING_METHOD

### MISSING_ID

    public static final RPCErrorCode MISSING_ID

### INVALID_PROCEDURE_CALL

    public static final RPCErrorCode INVALID_PROCEDURE_CALL

### METHOD_NOT_FOUND

    public static final RPCErrorCode METHOD_NOT_FOUND

### PARAMETERS_MISMATCH

    public static final RPCErrorCode PARAMETERS_MISMATCH

### EXCEPTION

    public static final RPCErrorCode EXCEPTION

### SMD_DISABLED

    public static final RPCErrorCode SMD_DISABLED

Method Detail

### values

    public static RPCErrorCode[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (RPCErrorCode c : RPCErrorCode.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static RPCErrorCode valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### code

    public int code()

### message

    public String message()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2000–2018 Apache Software Foundation. All rights reserved.